<?php
/**
 * tsDomaincheck Admin
 * 
 * @version    1.0.0
 * @copyright  Copyright (c) 2013 Top-Side.de
 * 
 */

session_start();
include("includes/config.php");

echo "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n";
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.1//EN\" \"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd\">\n";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"de\">\n";
echo "<head>\n";
echo "<title>tsDomaincheck - Administration</title>\n";
echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\" />\n";
echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"includes/style.css.php\" />\n";
echo "</head>\n\n";
echo "<body>\n";

echo "<noscript><p class=\"noscript\">Um alle Funktionen benutzen zu k&ouml;nnen bitte JavaScript aktivieren!</p></noscript>\n";

if(!isset($_SESSION['login']))
	$_SESSION['login'] = false;
if(!$_SESSION['login'])
	$_GET['p'] = "login";
if(!isset($_GET['p']))
	$_GET['p'] = "";

echo "<div id=\"main\">\n";

if($_SESSION['login'])
{
	echo "<img src=\"images/settings.png\" alt=\"Einstellungen\" />&nbsp;<a href=\"admin.php?p=settings\">Einstellungen</a> | \n";
	echo "<img src=\"images/servers.png\" alt=\"Whois Server\" />&nbsp;<a href=\"admin.php?p=whoisserver\">Whois Server</a> | \n";
	echo "<img src=\"images/password.png\" alt=\"Passwort &auml;ndern\" />&nbsp;<a href=\"admin.php?p=change-password\">Passwort &auml;ndern</a> | \n";
	echo "<img src=\"images/logout.png\" alt=\"Logout\" />&nbsp;<a href=\"admin.php?p=logout\">Logout</a>\n";
	echo "<br /><br />\n";
}

switch($_GET['p'])
{
	case "login":
	{
		echo "<form action=\"admin.php?p=login\" method=\"post\">\n";
		echo "<p>\n";
		echo "<strong>Passwort</strong>&nbsp;<input type=\"password\" name=\"passwort\" size=\"25\" maxlength=\"25\" />\n";
		echo "<input type=\"submit\" name=\"login\" value=\"Login\" />\n";
		if(isset($_POST['login']))
		{
			if($_POST['passwort'] == $settings['ADMIN_PASS'])
			{
				$_SESSION['login'] = true;
				echo "<script type=\"text/javascript\">location.href=\"admin.php\";</script>\n";
			}
			else
				echo "<br /><br /><span class=\"error\">Falsches Passwort!</span>\n";
		}
		echo "</p>\n";
		echo "</form>\n";			
		break;
	}
	case "logout":
	{
		$_SESSION['login'] = false;
		echo "<script type=\"text/javascript\">location.href=\"admin.php\";</script>\n";
		break;
	}
	case "settings":
	{
		if(isset($_POST['settings_save']))
		{
			$settings['TITLE'] = $_POST['title'];
			$settings['WIDTH'] = intval($_POST['width']);
			$settings['COLOR_BACKGROUND'] = $_POST['color_background'];
			$settings['COLOR_BACKGROUND_CENTER'] = $_POST['color_background_center'];
			$settings['FONT_COLOR'] = $_POST['font_color'];
			$settings['FONT_FAMILY'] = $_POST['font_family'];
			$settings['FONT_SIZE'] = intval($_POST['font_size']);
			$settings['LINK_COLOR'] = $_POST['link_color'];
			$settings['LINK_COLOR_HOVER'] = $_POST['link_color_hover'];
			$settings['LINK_STYLE'] = $_POST['link_style'];
			$settings['LINK_STYLE_HOVER'] = $_POST['link_style_hover'];
			$settings['BORDER_WIDTH'] = intval($_POST['border_width']);
			$settings['BORDER_STYLE'] = $_POST['border_style'];
			$settings['BORDER_COLOR'] = $_POST['border_color'];
			$input = "<?php\n";
			$input .= "\$settings = ".var_export($settings, true).";\n";
			$input .= "?>";
			$handle = fopen("includes/config.php", "w");
			fwrite($handle, $input);
			fclose($handle);
			echo "<span class=\"success\">Einstellungen gespeichert.</span><br /><br />\n";
		}
		
		$link_styles = array("underline" => "unterstrichen", "overline" => "&uuml;berstrichen", "line-through" => "durchgestrichen", "none" => "keinen");
		$border_styles = array("solid" => "durchgezogen", "dotted" => "gepunktet", "dashed" => "gestrichelt", "none" => "keinen");
		
		echo "<form action=\"admin.php?p=settings\" method=\"post\">\n";
		echo "<table class=\"list\">\n";
		echo "<tr>\n";
		echo "<td>Seitentitel</td>\n";
		echo "<td><input type=\"text\" name=\"title\" size=\"25\" value=\"".$settings['TITLE']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td>Breite des Domaincheck-Bereichs</td>\n";
		echo "<td><input type=\"text\" name=\"width\" size=\"4\" value=\"".$settings['WIDTH']."\" /> px</td>\n";
		echo "</tr>\n";

		echo "<tr><td colspan=\"2\"><strong>Hintergrund Farben</strong></td></tr>\n";
		echo "<tr>\n";
		echo "<td>Hintergrund</td>\n";
		echo "<td><input type=\"text\" name=\"color_background\" size=\"7\" value=\"".$settings['COLOR_BACKGROUND']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td>Hintergrund (Mitte)</td>\n";
		echo "<td><input type=\"text\" name=\"color_background_center\" size=\"7\" value=\"".$settings['COLOR_BACKGROUND_CENTER']."\" /></td>\n";
		echo "</tr>\n";
		
		echo "<tr><td colspan=\"2\"><strong>Schrift</strong></td></tr>\n";
		echo "<tr>\n";
		echo "<td>Farbe</td>\n";
		echo "<td><input type=\"text\" name=\"font_color\" size=\"7\" value=\"".$settings['FONT_COLOR']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td>Art (z.B.: Arial, Verdana)</td>\n";
		echo "<td><input type=\"text\" name=\"font_family\" size=\"25\" value=\"".$settings['FONT_FAMILY']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td>Gr&ouml;&szlig;e in Punkten</td>\n";
		echo "<td><input type=\"text\" name=\"font_size\" size=\"2\" value=\"".$settings['FONT_SIZE']."\" /> pt</td>\n";
		echo "</tr>\n";
		
		echo "<tr><td colspan=\"2\"><strong>Links</strong></td></tr>\n";
		echo "<tr>\n";
		echo "<td>Farbe</td>\n";
		echo "<td><input type=\"text\" name=\"link_color\" size=\"7\" value=\"".$settings['LINK_COLOR']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td>Farbe (Hover)</td>\n";
		echo "<td><input type=\"text\" name=\"link_color_hover\" size=\"7\" value=\"".$settings['LINK_COLOR_HOVER']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td>Textdekoration</td>\n";
		echo "<td><select name=\"link_style\" size=\"1\">\n";
		foreach($link_styles as $link_style => $link_style_name)
			echo "<option value=\"".$link_style."\"".(($settings['LINK_STYLE'] == $link_style) ? " selected=\"selected\"" : "").">".$link_style_name."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td>Textdekoration (Hover)</td>\n";
		echo "<td><select name=\"link_style_hover\" size=\"1\">\n";
		foreach($link_styles as $link_style_hover => $link_style_hover_name)
			echo "<option value=\"".$link_style_hover."\"".(($settings['LINK_STYLE_HOVER'] == $link_style_hover) ? " selected=\"selected\"" : "").">".$link_style_hover_name."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n";
		
		echo "<tr><td colspan=\"2\"><strong>Rahmen</strong></td></tr>\n";
		echo "<tr>\n";
		echo "<td>Breite in Pixel</td>\n";
		echo "<td><input type=\"text\" name=\"border_width\" size=\"2\" value=\"".$settings['BORDER_WIDTH']."\" /> px</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td>Linienart</td>\n";
		echo "<td><select name=\"border_style\" size=\"1\">\n";
		foreach($border_styles as $border_style => $border_style_name)
			echo "<option value=\"".$border_style."\"".(($settings['BORDER_STYLE'] == $border_style) ? " selected=\"selected\"" : "").">".$border_style_name."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td>Farbe</td>\n";
		echo "<td><input type=\"text\" name=\"border_color\" size=\"7\" value=\"".$settings['BORDER_COLOR']."\" /></td>\n";
		echo "</tr>\n";
			
		echo "<tr><td colspan=\"2\"><input type=\"submit\" name=\"settings_save\" value=\"Einstellungen speichern\" /></td></tr>\n";
		echo "</table>\n";
		echo "</form>\n";
		break;
	}
	case "whoisserver":
	{
		include("includes/whoisservers.php");
		
		if(isset($_POST['servers_save']))
		{
			$whoisservers_ = array();
			$whoislist = explode("\n", $_POST['whoislist']);
			for($i = 0; $i < count($whoislist); $i++)
			{
				if($whoislist[$i] != "")
				{
					$whoisserver = explode("=", $whoislist[$i]);
					$whoisservers_[trim($whoisserver[0])] = trim($whoisserver[1]);
				}
			}
			$input = "<?php\n";
			$input .= "\$whoisservers = ".var_export($whoisservers_, true).";\n";
			$input .= "?>";
			$handle = fopen("includes/whoisservers.php", "w");
			fwrite($handle, $input);
			fclose($handle);
			echo "<span class=\"success\">Serverliste gespeichert.</span><br /><br />\n";
		}
		
		echo "<form action=\"admin.php?p=whoisserver\" method=\"post\">\n";
		echo "<div class=\"text_left\">\n";
		echo "<strong>TLD = Whois Server</strong><br />\n";
		echo "Hier k&ouml;nnen Top-Level-Domains (TLDs) hinzugef&uuml;gt und gel&ouml;scht werden, sowie die Whois Server ge&auml;ndert werden. \n";
		echo "Die Reihenfolge der Domains entspricht der Auswahl im Domaincheck.<br /><br />\n";
		echo "L&ouml;schen: Zeile entfernen<br />Hinzuf&uuml;gen: Zeile in der Form tld=whoisserver einf&uuml;gen<br />\n";
		echo "<textarea name=\"whoislist\" cols=\"50\" rows=\"".count($whoisservers)."\">\n";
		foreach($whoisservers as $whoisserver => $value)
		{
			echo $whoisserver."=";
			echo $whoisservers[$whoisserver]."\n";
		}
		echo "</textarea>\n";
		echo "<input type=\"submit\" name=\"servers_save\" value=\"Server speichern\" />\n";
		echo "</div>\n";
		echo "</form>\n";
		break;
	}
	case "change-password":
	{
		if(isset($_POST['password_save']))
		{
			$error = "";
			if($_POST['password_old'] != $settings['ADMIN_PASS'])
				$error .= "&bull; altes Passwort nicht korrekt<br />\n";
			if($_POST['password_new1'] == "")
				$error .= "&bull; kein neues Passwort angegeben<br />\n";
			if($_POST['password_new2'] == "")
				$error .= "&bull; kein neues Passwort (Wiederholung) angegeben<br />\n";
			if($_POST['password_new1'] != $_POST['password_new2'])
				$error .= "&bull; neues Passwort und Wiederholung stimmen nicht &uuml;berein<br />\n";
			if($error == "")
			{
				$settings['ADMIN_PASS'] = $_POST['password_new1'];
				$input = "<?php\n";
				$input .= "\$settings = ".var_export($settings, true).";\n";
				$input .= "?>";
				$handle = fopen("includes/config.php", "w");
				fwrite($handle, $input);
				fclose($handle);
				echo "<span class=\"success\">Passwort erfolgreich ge&auml;ndert</span><br /><br />\n";
			}
			else
				echo "<span class=\"error\">\n".$error."</span><br />\n";
		}
		
		echo "<form action=\"admin.php?p=change-password\" method=\"post\">\n";
		echo "<table class=\"list\">\n";
		echo "<tr>\n";
		echo "<td>altes Passwort</td>\n";
		echo "<td><input type=\"password\" name=\"password_old\" size=\"25\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td>neues Passwort</td>\n";
		echo "<td><input type=\"password\" name=\"password_new1\" size=\"25\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td>neues Passwort wiederholen</td>\n";
		echo "<td><input type=\"password\" name=\"password_new2\" size=\"25\" /></td>\n";
		echo "</tr>\n";
		echo "<tr><td colspan=\"2\"><input type=\"submit\" name=\"password_save\" value=\"Passwort speichern\" /></td></tr>\n";
		echo "</table>\n";
		echo "</form>\n";
		break;
	}
}

echo "</div>\n";

echo "</body>\n";
echo "</html>";
?>