<?php
/**
 * tsDomaincheck
 * 
 * @version    1.2.1
 * @author     Markus Nolte
 * @copyright  Copyright (c) 2013 Top-Side.de
 * @license    CC BY-NC-SA 3.0 DE (http://creativecommons.org/licenses/by-nc-sa/3.0/de/)
 * @link       http://www.top-side.de
 * 
 */

include_once("includes/config.php");
include_once("includes/whoisservers.php");
header("Content-Type: text/html; charset=UTF-8");

session_start();
echo "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n";
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.1//EN\" \"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd\">\n";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"de\">\n";
echo "<head>\n";
echo "<title>".$settings['TITLE']."</title>\n";
echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\" />\n";
echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"includes/style.css.php\" />\n";
echo "<script type=\"text/javascript\" src=\"includes/jquery.js\"></script>\n";
echo "</head>\n\n";
echo "<body>\n";

echo "<div id=\"main\">\n";

echo "<form action=\"domaincheck.php\" method=\"post\" id=\"checkForm\">\n";
echo "<p>\n";
echo "<strong>Domain:</strong> http://www.<input type=\"text\" name=\"domain\" id=\"domain\" size=\"25\" maxlength=\"70\" value=\"".((isset($_POST['domain'])) ? $_POST['domain'] : "")."\" />\n";
echo "<select name=\"tld\" id=\"tld\">\n";
foreach($whoisservers as $whoisserver => $value)
	echo "<option value=\"".$whoisserver."\"".((isset($_POST['tld']) && $_POST['tld'] == $whoisserver) ? " selected=\"selected\"" : "").">.".$whoisserver."</option>\n";
echo "<option value=\"all\">alle</option>\n";
echo "</select>\n";
echo "<input type=\"submit\" name=\"check\" value=\"pr&uuml;fen\" />\n";
echo "</p>\n";
echo "<div id=\"divResult\"></div>\n";
echo "</form>\n";
echo "<script type=\"text/javascript\"><!--\n";
echo "$('#checkForm').submit(function(event){ event.preventDefault(); $('#main').block({\n";
echo "message: '<p><img src=\"images/loading.gif\" alt=\"laden\" /> Verf&uuml;gbarkeit wird gepr&uuml;ft ...<\/p>', ";
echo "css: { border: '".$settings['BORDER_WIDTH']."px ".$settings['BORDER_STYLE']." ".$settings['BORDER_COLOR']."', width: '50%' } });\n";
echo "$.post('includes/check.php', { domain: $('#domain').val(), tld: $('#tld').val() }, function(data) { $('#divResult').html(data); $('#main').unblock(); }); });\n";
echo "--></script>\n";
if(isset($_POST['check']))
	include("includes/check.php");
echo "<br />\n";

echo "<div>\n";
echo "<hr />\n";
echo "tsDomaincheck &copy; <a href=\"http://www.top-side.de\">top-side.de</a>\n\n";
echo "</div>\n";

echo "</div>\n";

echo "</body>\n\n</html>";
?>