<?php
header("Content-type: text/css");
include("config.php");

$border = $settings['BORDER_WIDTH']."px ".$settings['BORDER_STYLE']." ".$settings['BORDER_COLOR'];
?>
body
{
	color: <?php echo $settings['FONT_COLOR']; ?>;
	background: <?php echo $settings['COLOR_BACKGROUND']; ?>;
	font-family: <?php echo $settings['FONT_FAMILY']; ?>;
	font-size: <?php echo $settings['FONT_SIZE']; ?>pt;
}
#main
{
	width: <?php echo $settings['WIDTH']; ?>px;
	margin: 0px auto;
	padding: 5px;
	text-align: center;
	background: <?php echo $settings['COLOR_BACKGROUND_CENTER']; ?>;
	border: <?php echo $border; ?>;
}

table
{
	border-collapse: collapse;
}
table.list
{
	margin: 0px auto;
	border: none;
}
table.list td
{
	text-align: left;
	padding: 2px 5px;
}

input, select, textarea
{	
	background-color: <?php echo $settings['COLOR_BACKGROUND_CENTER']; ?>;
	border: <?php echo $border; ?>;
}

a
{
	color: <?php echo $settings['LINK_COLOR']; ?>;
	text-decoration: <?php echo $settings['LINK_STYLE']; ?>;
}
a:hover
{
	color: <?php echo $settings['LINK_COLOR_HOVER']; ?>;
	text-decoration: <?php echo $settings['LINK_STYLE_HOVER']; ?>;
}

img
{
	border: none;
	vertical-align: middle;
}

hr
{
	width: 75%;
	height: 1px;
	background-color: <?php echo $settings['BORDER_COLOR']; ?>;
	border: none;  
}

.success
{
	color: #008b00;
	font-weight: bold;
}
.error
{
	color: #ff0000;
	font-weight: bold;
}

.text_left
{
	text-align: left;
}

.noscript
{
	width: 500px;
	margin: 0px auto;
	margin-bottom: 25px;
	text-align: center;
	color: #cc0000;
	background: #ffc000;
	border: 1px solid #cc0000;
	padding: 5px;
}